Package org.springframework.aot.generate

# Class UnsupportedTypeValueCodeGenerationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.aot.generate.ValueCodeGenerationException
org.springframework.aot.generate.UnsupportedTypeValueCodeGenerationException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedTypeValueCodeGenerationException extends ValueCodeGenerationException
Thrown when a `ValueCodeGenerator` could not generate the code for a given value.

Since:
  6.1.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedTypeValueCodeGenerationException(Object value)`

## Method Summary

### Methods inherited from class org.springframework.aot.generate.ValueCodeGenerationException

`getValue`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedTypeValueCodeGenerationException

public UnsupportedTypeValueCodeGenerationException(Object value)